Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque
Class ColumnImplTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.BaseTestCase
                  org.apache.torque.ColumnImplTest

All Implemented Interfaces:
  junit.framework.Test

    public class ColumnImplTest

extends BaseTestCase

Test for the class ColumnImpl.

Version:
  $Id: ColumnImplTest.java 1448414 2013-02-20 21:06:35Z tfischer $

Field Summary

Fields inherited from class org.apache.torque.BaseTestCase
`CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, tableMap`

Constructor Summary
`ColumnImplTest()`

Method Summary
`void` | `testEquals()`
`void` | `testEqualsSchemaTableColumnNull()`
`void` | `testEqualsWrongColumn()`
`void` | `testEqualsWrongSchema()`
`void` | `testEqualsWrongSqlExpression()`
`void` | `testEqualsWrongTable()`
`void` | `testGetSqlExpressionNoSchema()`
`void` | `testGetSqlExpressionWithSchema()`
`void` | `testSchemaTableColumnConstructor()`
`void` | `testSchemaTableColumnConstructorBlankColumnName()`
`void` | `testSchemaTableColumnConstructorBlankSchemaName()`
`void` | `testSchemaTableColumnConstructorBlankTableName()`
`void` | `testSchemaTableColumnConstructorNullColumnName()`
`void` | `testSchemaTableColumnConstructorNullSchemaName()`
`void` | `testSchemaTableColumnConstructorNullTableName()`
`void` | `testSchemaTableColumnConstructorWithSchemaInConstructorAndTable()`
`void` | `testSchemaTableColumnConstructorWithSchemaInTable()`
`void` | `testSqlExpressionConstructor()`
`void` | `testSqlExpressionConstructorAlias()`
`void` | `testSqlExpressionConstructorAsterisk()`
`void` | `testSqlExpressionConstructorAsteriskAndSchema()`
`void` | `testSqlExpressionConstructorBlank()`
`void` | `testSqlExpressionConstructorBlankColumnName()`
`void` | `testSqlExpressionConstructorBlankTableName()`
`void` | `testSqlExpressionConstructorComparisonAfter()`
`void` | `testSqlExpressionConstructorComparisonBefore()`
`void` | `testSqlExpressionConstructorCount()`
`void` | `testSqlExpressionConstructorInClause()`
`void` | `testSqlExpressionConstructorNoDot()`
`void` | `testSqlExpressionConstructorNull()`
`void` | `testSqlExpressionConstructorSqlFunction()`
`void` | `testSqlExpressionConstructorSqlFunctionAsteriskColumnName()`
`void` | `testSqlExpressionConstructorSqlFunctionAsteriskOnly()`
`void` | `testSqlExpressionConstructorSqlFunctionEmptyTableName()`
`void` | `testTableColumnConstructor()`
`void` | `testTableColumnConstructorBlankColumnName()`
`void` | `testTableColumnConstructorBlankTableName()`
`void` | `testTableColumnConstructorNullColumnName()`
`void` | `testTableColumnConstructorNullTableName()`
`void` | `testTableColumnConstructorWithSchemaInTable()`
`void` | `testToString()`

Methods inherited from class org.apache.torque.BaseTestCase
`setUp`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColumnImplTest

    public ColumnImplTest()

Method Detail

### testTableColumnConstructor

    public void testTableColumnConstructor()

### testTableColumnConstructorWithSchemaInTable

    public void testTableColumnConstructorWithSchemaInTable()

### testTableColumnConstructorNullTableName

    public void testTableColumnConstructorNullTableName()

### testTableColumnConstructorBlankTableName

    public void testTableColumnConstructorBlankTableName()

### testTableColumnConstructorNullColumnName

    public void testTableColumnConstructorNullColumnName()

### testTableColumnConstructorBlankColumnName

    public void testTableColumnConstructorBlankColumnName()

### testSchemaTableColumnConstructor

    public void testSchemaTableColumnConstructor()

### testSchemaTableColumnConstructorWithSchemaInConstructorAndTable

    public void testSchemaTableColumnConstructorWithSchemaInConstructorAndTable()

### testSchemaTableColumnConstructorWithSchemaInTable

    public void testSchemaTableColumnConstructorWithSchemaInTable()

### testSchemaTableColumnConstructorNullSchemaName

    public void testSchemaTableColumnConstructorNullSchemaName()

### testSchemaTableColumnConstructorNullTableName

    public void testSchemaTableColumnConstructorNullTableName()

### testSchemaTableColumnConstructorBlankSchemaName

    public void testSchemaTableColumnConstructorBlankSchemaName()

### testSchemaTableColumnConstructorBlankTableName

    public void testSchemaTableColumnConstructorBlankTableName()

### testSchemaTableColumnConstructorNullColumnName

    public void testSchemaTableColumnConstructorNullColumnName()

### testSchemaTableColumnConstructorBlankColumnName

    public void testSchemaTableColumnConstructorBlankColumnName()

### testSqlExpressionConstructor

    public void testSqlExpressionConstructor()

### testSqlExpressionConstructorNull

    public void testSqlExpressionConstructorNull()

### testSqlExpressionConstructorBlank

    public void testSqlExpressionConstructorBlank()

### testSqlExpressionConstructorNoDot

    public void testSqlExpressionConstructorNoDot()

### testSqlExpressionConstructorAsterisk

    public void testSqlExpressionConstructorAsterisk()

### testSqlExpressionConstructorAsteriskAndSchema

    public void testSqlExpressionConstructorAsteriskAndSchema()

### testSqlExpressionConstructorBlankColumnName

    public void testSqlExpressionConstructorBlankColumnName()

### testSqlExpressionConstructorBlankTableName

    public void testSqlExpressionConstructorBlankTableName()

### testSqlExpressionConstructorCount

    public void testSqlExpressionConstructorCount()

### testSqlExpressionConstructorSqlFunction

    public void testSqlExpressionConstructorSqlFunction()

### testSqlExpressionConstructorComparisonAfter

    public void testSqlExpressionConstructorComparisonAfter()

### testSqlExpressionConstructorComparisonBefore

    public void testSqlExpressionConstructorComparisonBefore()

### testSqlExpressionConstructorInClause

    public void testSqlExpressionConstructorInClause()

### testSqlExpressionConstructorSqlFunctionAsteriskColumnName

    public void testSqlExpressionConstructorSqlFunctionAsteriskColumnName()

### testSqlExpressionConstructorSqlFunctionAsteriskOnly

    public void testSqlExpressionConstructorSqlFunctionAsteriskOnly()

### testSqlExpressionConstructorSqlFunctionEmptyTableName

    public void testSqlExpressionConstructorSqlFunctionEmptyTableName()

### testSqlExpressionConstructorAlias

    public void testSqlExpressionConstructorAlias()

### testGetSqlExpressionNoSchema

    public void testGetSqlExpressionNoSchema()

### testGetSqlExpressionWithSchema

    public void testGetSqlExpressionWithSchema()

### testEquals

    public void testEquals()

### testEqualsSchemaTableColumnNull

    public void testEqualsSchemaTableColumnNull()

### testEqualsWrongColumn

    public void testEqualsWrongColumn()

### testEqualsWrongTable

    public void testEqualsWrongTable()

### testEqualsWrongSchema

    public void testEqualsWrongSchema()

### testEqualsWrongSqlExpression

    public void testEqualsWrongSqlExpression()

### testToString

    public void testToString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.